# Q3Radiant Editor Manual

# Appendix B: Entity Descriptions

## Info_* Entities

info_camp
Map Entity Color: Dark green (0 0.5 0)
Dimensions: (-8 -8 -8) (8 8 8)
Game Function: This atttracts bots which have a camping preference in their A.I. characteristics. It should be placed at least 32 units away from any brush surface.

Keys
range: number of units that the bot can move away from camp entity while camping on it.
weight: number that is compared against the weight assigned to all the other camp spots in the map to determine if a bot chooses to camp there. The value is normalized against all other weight values.

Notes
Examples of Q3A bots which have a high camping preference are: Razor, Tank Jr., Grunt, Patriot and Doom. Examples of Q3A bots which have a low camping preference are: Klesk, Mynx, Sarge, Keel and Xaero. Info_Camp entities should be reachable by "normal" means, including relatively non-complex rocket jumps.

info_notnull
Map Entity Color: Dark green (0 0.5 0)
Dimensions: (-8 -8 -8) (8 8 8)
Game Function: Used as a positional target for entities that can use directional pointing. A target_position can be used instead of this but was kept in Q3A for legacy purposes.

Keys
targetname: must match the target key of entity that uses this for pointing.
notfree: when set to 1, entity will not spawn in "Free for all" and "Tournament" modes.
notteam: when set to 1, entity will not spawn in "Teamplay" and "CTF" modes.
notsingle: when set to 1, entity will not spawn in Single Player mode (bot play mode).

info_null
Map Entity Color: Dark green (0 0.5 0)
Dimensions: (-8 -8 -8) (8 8 8)
Game Function: Used as a positional target for light entities to create a spotlight effect. A target_position can be used instead of this but was kept in Q3A for legacy purposes.

Keys
targetname: must match the target key of entity that uses this for pointing.
notfree: when set to 1, entity will not spawn in "Free for all" and "Tournament" modes.
notteam: when set to 1, entity will not spawn in "Teamplay" and "CTF" modes.
notsingle: when set to 1, entity will not spawn in Single Player mode (bot play mode).*/

info_player_deathmatch
Map Entity Color: Pink (1 0 0)
Dimensions: (-16 -16 -24) (16 16 32)
Game Function: Normal player spawning location for Q3A levels.

Keys
angle: direction in which player will look when spawning in the game. Does not apply to bots.
target: this can point at a target_give entity for respawn freebies.
nobots: when set to 1, bots will never use this spawn point to respawn in the game.
nohumans: when set to 1, human players will never use this spawn point to respawn in the game.
notfree: when set to 1, entity will not spawn in "Free for all" and "Tournament" modes.
notteam: when set to 1, entity will not spawn in "Teamplay" and "CTF" modes.
notsingle: when set to 1, entity will not spawn in Single Player mode (bot play mode).

Check Boxes/Spawnflags
INITIAL: makes the spawnpoint the initial place for the player to spawn at the beginning of the game. This is also where the player spawns as a spectator.

Design Tip: If you include an info_player_deathmatch entity in a CTF map, players from both teams can respawn at that location. Great for placing respawn spots in contested central battleground areas.

info_player_intermission
Map Entity Color: Pink (1 0 1)
Dimensions: (-16 -16 -16) (16 16 16)
Game Function: Camera for intermission screen between matches. This also automatically generates the podium for bot arena matches (see Notes). Can be aimed by setting the "angles" key or targeting an pointing to an aiming entity. Use only one per level.

Keys
angles: alternate "pitch, yaw, roll" angles method of aiming intermission camera (default 0 0 0).
target: point this to an info_notnull or target_position entity to set the camera's pointing angles.

Notes
In Single Player bot arena matches, the podium for the 1st, 2nd and 3rd place players at the end of the match is generated by this entity. The podium's origin will automatically be located 128 units in the direction of the camera's view and 84 units down from the y height of the view line at that point. It will also always be generated on a level plane regardless of the pointing angle of the camera so if that angle is too steep, part of the podium model might not be visible. If the origin point of the podium model is inside brush geometry, the podium will not draw. Make sure you leave at least 106 units of free space in front of where the camera points to otherwise the podium model won't be visible at all.

info_player_start
Map Entity Color: Red (1 0 0)
Dimensions: (-16 -16 -24) (16 16 32)
Game Function: Player spawn location. It works in Quake III Arena, but is not used in the id maps. Use info_player_deathmatch instead.

Keys
angle: direction in which player will look when spawning in the game.
target: this can point at a target_give entity for respawn freebies.

Back | Home | Next